# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/imu/bosch,smi330.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Bosch SMI330 6-Axis IMU

maintainers:
  - Stefan Gutmann <stefam.gutmann@de.bosch.com>

description:
  SMI330 is a 6-axis inertial measurement unit that supports acceleration and
  gyroscopic measurements with hardware fifo buffering. Sensor also provides
  events information such as motion, no-motion and tilt detection.

properties:
  compatible:
    const: bosch,smi330

  reg:
    maxItems: 1

  vdd-supply:
    description: provide VDD power to the sensor.

  vddio-supply:
    description: provide VDD IO power to the sensor.

  interrupts:
    minItems: 1
    maxItems: 2

  interrupt-names:
    minItems: 1
    maxItems: 2
    items:
      enum:
        - INT1
        - INT2

  drive-open-drain:
    type: boolean
    description:
      set if the interrupt pin(s) should be configured as
      open drain. If not set, defaults to push-pull.

required:
  - compatible
  - reg

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    // Example for I2C
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        imu@68 {
            compatible = "bosch,smi330";
            reg = <0x68>;
            vddio-supply = <&vddio>;
            vdd-supply = <&vdd>;
            interrupt-parent = <&gpio>;
            interrupts = <26 IRQ_TYPE_EDGE_RISING>;
            interrupt-names = "INT1";
        };
    };

    // Example for SPI
    #include <dt-bindings/interrupt-controller/irq.h>
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        imu@0 {
            compatible = "bosch,smi330";
            reg = <0>;
            spi-max-frequency = <10000000>;
            interrupt-parent = <&gpio>;
            interrupts = <26 IRQ_TYPE_EDGE_RISING>;
            interrupt-names = "INT1";
        };
    };
